### Function

# GObject TypeInterface add_prerequisite

#### Declaration

    void
    g_type_interface_add_prerequisite (
      GType interface_type,
      GType prerequisite_type
    )

#### Description

Adds `prerequisite_type` to the list of prerequisites of `interface_type`. This means that any type implementing `interface_type` must also implement `prerequisite_type`. Prerequisites can be thought of as an alternative to interface derivation (which GType doesn’t support). An interface can have at most one instantiatable prerequisite type.

#### Parameters

`interface_type`

  Type: `GType`

  `GType` value of an interface type.

`prerequisite_type`

  Type: `GType`

  `GType` value of an interface or instantiatable type.